// VSQL Visual Query Parser v1.5 for Delphi(r) Programmers packaged as TBSVSQL Visual Component.
// Copyright (c) 1998 Business Software
//                    ebinfo@compuserve.com
// Source Code Supplied as Registered User Package.
// Form Component 'wrapper' for TBSVsql component in vsql1.pas

unit bsvsql1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  DBTables,DB, Controls, Forms, Dialogs,vsql1;

type
  Tbsvsql = class(TComponent)
  private
  FQuery:Tquery;

  protected
  {}
  public
  function showmodal:boolean;
  procedure show;
  constructor Create(AOwner: TComponent); override;
  destructor destroy; override;

  published
  property QueryName:TQuery read Fquery write Fquery;
  end;

var vsql:tvsql;


procedure Register;

implementation

procedure Register;
begin
RegisterComponents('BSoft', [Tbsvsql]);
end;

constructor Tbsvsql.create(aOwner:Tcomponent);
begin
inherited create(aowner);
{}
end;


{open as modal style dialog}
function Tbsvsql.showmodal:boolean;
begin
if (queryname=nil) then
   begin
   showmessage('QueryName Property'+#13+'not assigned!');
   exit;
   end;
vsql:=TVSQL.create(application);
  try
  vsql.query:=fquery;
  result:=(vsql.showmodal=mrOK);
  finally
  vsql.free;
  vsql:=nil;
  end;
end;

{open as non-modal dialog}
procedure TBsvsql.show;
begin
if (queryname=nil) then
   begin
   showmessage('QueryName Property'+#13+'not assigned!');
   exit;
   end;
if (vsql=nil) then  {check if one prepared earlier, if not then create one}
  vsql:=tvsql.create(application); {freed when application closes}
  try
  vsql.query:=fquery;
  vsql.show;
  except
  vsql.free;
  vsql:=nil;
  end;
end;

destructor Tbsvsql.destroy;
begin
{}
inherited destroy;
end;


end.
